/*
	Imagine that you are a doctor checking to see if patients have caught some new disease. The way to check is to examine around each fingernail to see if it has changed to a lime green color. As soon as one fingertip shows signs of the disease, stop checking the patient’s nails, diagnose her as sick (make a note of it), prescribe medicine, and move on to the next patient. 
	We want to write a program that models this, and you can use your knowledge of loops and arrays to do this. 
	You do not know how many patients that you’ll see in a day; for the sake of the program, we assume everyone has ten fingers.
	The starter code that you receive will randomly generate the number of people who will visit you and which fingernails on which people will be green. You will not know this ahead of time. Your job is to write code that loops through every patient, checking her fingertips until you examine all ten or find a diseased one. If diseased, make a note of it (in a variable) so you can print a report at the end of the day identifying which patients had the disease.
*/

// This function: 
// 1. randomly marks people as diseased (as seen by their fingers), [done at top of code]
// 2. searches for those diseased fingers and notes who is ill, [your job]
// 3. creates a visual of the sick and healthy, [done at the bottom]
// 4. then displays that on a webpage. [done at the bottom]
function diagnoseloop(){
	
	// generate a random number between 1-10, this is the number of patients to see
	var numPatients = Math.ceil(Math.random()*10);
	
	// create an array of that number of patients
	var patients = new Array(numPatients);
	
	// this will be used to mark which patients are sick (1) or healthy (0)
	var health = new Array(numPatients);
	
	// for counting
	var i,j;
	
	// for each patient,
	for(i = 0; i < numPatients; i++){
		// give him/her 10 fingers, and assume he is healthy (assign 0)
		patients[i] = new Array(10);
		health[i] = 0;
		// for each finger,
		for(j = 0; j < 10; j++){ 
			// there's a 7% chance of sickness (1 is sick, 0 healthy)
			patients[i][j] = (Math.random() < .07) ? 1 : 0;
		}
	}
	
	
	/*************************************************************/
	/*     This area is set aside for you to write your code     */
	
	// Two examples of what the health[] array might look like.
	// 
	// If the third & fifth patients are healthy out of 7 patients:
	// health is [1, 1, 0, 1, 0, 1, 1]
	// If the second patient is the only sick one out of 9:
	// health is [0, 1, 0, 0, 0, 0, 0, 0, 0]
	// 
	// The array is currently full of 0's because we assume everyone 
	// is healthy at first. So you have to mark any sick person with
	// a 1 in their cell within the health[] array.
	
	
	

	
	
	
	/* Code past this point you can leave untouched, if you want */
	/*************************************************************/
	
	// This will be a string of HTML & CSS that visualizes who is ill/healthy.
	var viz = "";
	
	for(i = 0; i < numPatients; i++){
		viz += "<div class='condition"+health[i]+" patient'>Patient ID #"+i+": "+((health[i])?"sick":"healthy")+"</div>";
	}
	
	document.getElementById("diagnosisGoesHere").innerHTML = viz;
}
